#ifndef ctimer_h
#define ctimer_h

#include <ctime>
using namespace std;
class cTimer
{
public:
  int running;
  double accumulated_time;
  clock_t start_time;
    
  //cTimer(const timer& t);
  void operator=(const cTimer& t);

 public:
  cTimer()
	  : running(0), accumulated_time(0) { }
  ~cTimer() { }

  void start(const char* timer_name = 0);
  void restart(const char* timer_name = 0);
  void stop(const char* timer_name = 0);
  float update();
  double check(const char* timer_name = 0);

}; // class cTimer


// __________________________________________________________________________
// cTimer.h

#endif // ctimer_h